Bug 10597 - Search to hold button broken on record details
Summary: Search to hold button broken on record details
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-16 16:49 UTC by Kyle M Hall
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10597 - Search to hold button broken on record details (2.85 KB, patch)
2013-07-16 16:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10597 - Search to hold button broken on record details (2.90 KB, patch)
2013-07-17 00:20 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10597 - Search to hold button broken on record details (2.96 KB, patch)
2013-07-18 11:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-07-16 16:49:57 UTC
The holds button in cat-toolbar is broken for "search to hold". It is a split button rather than a dropdown button. Clicking the caret works fine, but clicked the button sends you to the marc editor!
Comment 1 Kyle M Hall 2013-07-16 16:53:39 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-07-17 00:20:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-07-18 11:56:38 UTC
QA comment:
Simple patch, works as expected.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-07-18 11:56:51 UTC
Created attachment 19760 [details] [review]
Bug 10597 - Search to hold button broken on record details

The holds button in cat-toolbar is broken for "search to hold". It is a
split button rather than a dropdown button. Clicking the caret works
fine, but clicked the button sends you to the marc editor!

Test Plan:
1) View a patron's details page
2) Click 'search to hold'
3) Search for something
4) On the results page, click a result line's title link (
    catalogue/detail.pl )
5) Note the "Place hold" button is a split button, click the left half
    of the button, note it redirects you to the editor.
6) Apply this patch
7) Repeat steps 1-5

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2013-07-18 14:02:41 UTC
Pushed to master.  Thanks, Kyle!

I note that there are two other staff templates that contain the text 'place hold for':

./modules/catalogue/results.tt
./modules/virtualshelves/shelves.tt

Making a parameterized template to implement the widget would be a Good Thing for consistency's sake.
Comment 6 Tomás Cohen Arazi 2013-08-14 14:33:35 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Kyle!